> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate Text

## Description

Translate text content into multiple languages


## OpenAPI

````yaml post /v1/translate/
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/translate/:
    post:
      tags:
        - translate
      summary: Translate Text
      operationId: translate_text_v1_translate__post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_translate_text_v1_translate__post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_translate_text_v1_translate__post:
      properties:
        content:
          type: string
          title: Content
        languages:
          type: string
          title: Languages
          default: ''
      type: object
      required:
        - content
      title: Body_translate_text_v1_translate__post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````